Assignee: % Done: 0%
Target version:

Resolution: Duplicate

Description

There should be an ability to set options for each type of member for every project. A company might have multiple projects where
one will be open source and another would be closed source publically accessible and in this case, issues still need to be reported.

Related issues:

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04
Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10
Related to Redmine - Feature #1086: Fine grained permissions New 2008-04-22
Is duplicate of Redmine - Feature #850: Per-project role permissions New 2008-03-14
History

#1 - 2008-10-23 23:00 - Thomas Lecavelier

AFAIK, your needs are fully met by defining roles specifically for every project: roles are give to project members for each project. And since each
project can be defined public or private, there's no conflict between OSS and closed source project.
Maybe I'm missing one of your requirement?

#2 - 2008-10-23 23:45 - Steven Lu

A registered non-member user of the closed source project should be able to add issues for the project but not be able to view the source code of the
project from the repository. However, this same member who is also a non-member of an open source project should be able to add an issue and
view the source.

There is no option to set what a non-member can or cannot do for each individual project in Redmine. Yes, you can set it to public for all to view or
private to hide it from all, but there's nothing you can do if you want something in between public and private and/or separate permissions between
two projects.

#3 - 2008-10-25 14:49 - Thomas Lecavelier

Now | see you're need, but I've no opinion about this option: it removes from redmine administrator the ability to handle behavior of non-members
users, giving out this responsability to project administrator... Could be a good thing, if every project admin are aware of their responsabilities, but |
have great doubts about this...

#4 - 2008-10-25 15:38 - Steven Lu

I think it would be a great option to add especially if you had an on and off option in the administration section.
#5 - 2008-12-24 03:54 - Robert Navarro
I'd like to see this feature as well.

| currently have two public projects one of which | don't want non-registered users viewing/browsing the Repository. | want users to have to register to
view/browse the repository.

However, on the other public project | would like it so that non-registered users are free to view/browse the repository.
#6 - 2009-01-11 22:33 - Anonymous

It is very important feature for me too.

| will be very happy if | see it in 0.8.1 version :)

#7 - 2009-04-18 20:06 - Anonymous

Same here. We have OpenSource projects where Anonymous Users should be able to browse the repository and closed source projects where
Anonymous shouldn't have access to the repository but the project is public too.
It would be enough if Anonymous and Non-Member Rights could be defined or overwritten per project.

#8 - 2009-10-19 04:32 - Craig G

+1 for this feature. At our company, we like to give contractors access to certain projects in Redmine (in which they are involved) but prevent them
from access for our other projects. It would be a nice feature to configure project-level security, or mark a project as hidden to all users except those
who are directly involved, or something like that.

#9 - 2011-01-12 13:19 - Marcelo Fernandes

+1

#10 - 2011-03-15 10:42 - Oliver Karstedt

Are there any new developments here?

We want to start using redmine and love it so far but we also want to invite our clients to redmine in order to improve our workflow. Of course these
clients must only be allowed to see projects, in which they are involved. Otherwise they can go into any project, view all tickets and even start creating
tickets.

| think that's a major security problem, so in my opinion this is a very critical issue, isn't it?

#11 - 2011-03-15 12:58 - random tao

pretty important feature, but will probably require a large refactoring :(
#12 - 2011-03-15 13:45 - Oliver Karstedt

Okay, I'm blind and Jean-Philippe helped me see..

@Everyone who might have the same problem:

Just make your project private. To do so, uncheck the "Public" flag in your project settings. After that, only project members (and Redmine admins)
will be able to view the project and its content.

#13 - 2011-03-15 16:00 - Steven Lu

Oliver Karstedt wrote:
Okay, I'm blind and Jean-Philippe helped me see..
@Everyone who might have the same problem:

Just make your project private. To do so, uncheck the "Public" flag in your project settings. After that, only project members (and Redmine
admins) will be able to view the project and its content.

That is totally not what this ticket suggests. What if you have open source projects where you don't want your users to commit? Or, what if you have a
project that needs bug reporting to the public level but you don't want your source to be out there?

#14 - 2011-03-15 17:17 - Oliver Karstedt
Steven Lu wrote:
That is totally not what this ticket suggests. What if you have open source projects where you don't want your users to commit? Or, what if you

have a project that needs bug reporting to the public level but you don't want your source to be out there?

And that's why | said "everyone who might have the same problem" as in "everyone who might have the same problem | had". It's totally not what
solves this ticket but it totally solved my problem as explained above. And Craig G's problem, too btw. Just thought it would be helpful to others to
post the answer to a question | asked. Sorry for causing inconvenience...

#15 - 2011-06-21 17:01 - ylluminate .

Oliver Karstedt wrote:
Okay, I'm blind and Jean-Philippe helped me see..
@Everyone who might have the same problem:

Just make your project private. To do so, uncheck the "Public" flag in your project settings. After that, only project members (and Redmine
admins) will be able to view the project and its content.

Thanks for this. Yes, the problem was that even though | initially understood the Public attribute, and thought | unchecked it, it was still on and
making projects public by default. After a second review of it and ensuring that it was not selected it is indeed working correctly now!

#16 - 2012-04-08 22:33 - Andriy Lesyuk
| wrote plugin which can help with this issue: http://projects.andriylesyuk.com/projects/role-shift

#17 - 2013-03-26 07:08 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #850.

#18 - 2014-10-03 16:27 - Toshi MARUYAMA
- Related to Feature #1086: Fine grained permissions added
